Verify Tanzania business registration details (BRELA)
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/business_registration_tz/" \ -H "Content-Type: application/json" \ -d '{ "business_id": "12345", "country": "TZ" }'{ "data": { "name": "Company name", "address": "Dar Es Salaam, Ilala CBD, Upanga Mashariki, 11102, Kibasila, Bibi Titi Mohamed , 62, 27, 31", "country": "Tanzania", "parentId": "", "vatNumber": "", "formerName": "", "countryCode": "TZ", "companyStatus": "Registered", "registryNumber": "", "registrationDate": "2005-04-13", "registrationNumber": "12345", "searchBusinessName": "12345", "registrationSubmissionDate": "" }, "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel